## maven 3.0.4

=== debian/changelog ===
maven (3.0.4-6) unstable; urgency=low

  * Upload to unstable.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 06 May 2013 01:42:33 +0200

maven (3.0.4-5) experimental; urgency=low

  [ tony mancil ]
  * Fix typo in maven bash completion file. (Closes: #688696)
    - Thanks to Oleksandr Gavenko.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 28 Nov 2012 20:33:54 +0100

maven (3.0.4-4) experimental; urgency=low

  * Install Maven JAR into /usr/share/java and /usr/share/maven-repo to allow
    usage by others packages.
  * d/control: Bump Standards-Version to 3.9.3: no changes needed.
  * d/copyright: Use copyright-format 1.0.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 19 Aug 2012 00:00:17 +0200

maven (3.0.4-3) unstable; urgency=low

  * Use wagon 2.x to provide http/webdav access.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 06 Feb 2012 22:31:23 +0100

maven (3.0.4-2) unstable; urgency=low

  * d/control: Add missing Vcs-* fields.
  * d/control: Force B-D on fixed plexus-containers1.5.
  * d/maven.rules: Fix FTBFS after a rebuild of plexus-containers by
    targeting explicit version.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 22 Jan 2012 15:04:14 +0100

maven (3.0.4-1) unstable; urgency=low

  * New upstream final release (same as RC5).
  * Upload to unstable this time.
  * Remove Michael, Ludovic and Torsten from Uploaders: I've added them by cut
    and pasting from maven2 package, without their approval
    (feel free to re-add yourself if you want).
  * Refresh d/patches/dep_versions.diff.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 21 Jan 2012 13:45:19 +0100

maven (3.0.4~rc3-1) experimental; urgency=low

  * New upstream major release (Closes: #592218).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 19 Dec 2011 20:17:37 +0100
