=== debian/control ===
Source: maven
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends-Indep: ant-optional,
                     junit,
                     libaether-java,
                     libcommons-jxpath-java,
                     libcommons-logging-java,
                     libeasymock-java,
                     libmaven-ant-tasks-java (>= 2.1.3-2),
                     libmaven-clean-plugin-java,
                     libmaven-compiler-plugin-java,
                     libmaven-install-plugin-java,
                     libmaven-jar-plugin-java,
                     libmaven-parent-java,
                     libmaven-resources-plugin-java,
                     libmodello-maven-plugin1.4-java,
                     libplexus-classworlds2-java (>= 2.4),
                     libplexus-containers1.5-java (>= 1.5.5-2),
                     libplexus-utils2-java,
                     libsisu-ioc-java,
                     libsurefire-java,
                     libwagon2-java (>= 2.2-2),
                     libxmlunit-java,
                     maven-ant-helper,
                     maven-repo-helper
Build-Depends: ant, cdbs, debhelper (>= 7), default-jdk
Standards-Version: 3.9.4
Homepage: http://maven.apache.org/
Vcs-Git: git://anonscm.debian.org/pkg-java/maven.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/maven.git

Package: maven
Architecture: all
Depends: default-jre (>= 1:1.5) | default-jre-headless (>= 1:1.5) | java5-runtime | java5-runtime-headless,
         libaether-java,
         libcommons-cli-java,
         libcommons-codec-java,
         libcommons-httpclient-java,
         libcommons-logging-java,
         libguava-java,
         libplexus-cipher-java,
         libplexus-classworlds2-java (>= 2.4),
         libplexus-containers1.5-java,
         libplexus-interpolation-java,
         libplexus-sec-dispatcher-java,
         libplexus-utils2-java,
         libsisu-guice-java,
         libsisu-ioc-java,
         libwagon2-java (>= 2.2-2),
         ${misc:Depends}
Replaces: maven2 (<< 2.2.1-11)
Breaks: maven2 (<< 2.2.1-11)
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
