## maven 3.0.5

=== debian/changelog ===
maven (3.0.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #704261)
    - Refreshed the patches
  * Updated modello.diff to use Guava instead of Google Collections
    (Closes: #725588)
  * Updated maven-clean-plugin version from 2.3 to 2.5
  * Install generic 3.x artifacts in /usr/share/maven-repo (Closes: #698975)
  * Renamed the jars in /usr/share/java to maven3-xxx.jar to avoid conflicts
    with Maven 2
  * Installed versionless jars in /usr/share/java
  * debian/rules: Improved the clean target
  * debian/orig-tar.sh:
    - Use XZ compression for the upstream tarball
    - Reworked to pull the sources from the Apache Git repository
  * debian/watch: Updated to watch the tags on the Github mirror
  * Build depend on debhelper >= 9

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Oct 2013 22:49:54 +0200
