=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      libcommons-logging-java,
                      libeasymock-java,
                      libmaven-ant-tasks-java (>= 2.1.3-2),
-                     libmaven-clean-plugin-java,
+                     libmaven-clean-plugin-java (>= 2.5),
                      libmaven-compiler-plugin-java,
                      libmaven-install-plugin-java,
                      libmaven-jar-plugin-java,
@@ -26,7 +26,7 @@
                      libxmlunit-java,
                      maven-ant-helper,
                      maven-repo-helper
-Build-Depends: ant, cdbs, debhelper (>= 7), default-jdk
+Build-Depends: ant, cdbs, debhelper (>= 9), default-jdk
 Standards-Version: 3.9.4
 Homepage: http://maven.apache.org/
 Vcs-Git: git://anonscm.debian.org/pkg-java/maven.git
