## maven 3.3.3

=== debian/changelog ===
maven (3.3.3-3) unstable; urgency=medium

  * Team upload.
  * Update references to maven-plugin-plugin to version 3.3.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 04 Aug 2015 21:11:13 -0300

maven (3.3.3-2) unstable; urgency=medium

  * Team upload.
  * Install missing maven-builder-support POM file.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Jul 2015 22:14:55 -0300

maven (3.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #774745)
    - Require a Java 7 runtime
    - Refreshed the patches
    - Depend on libplexus-utils2-java >= 3.0.15
    - New dependency on libsisu-plexus-java (replaces libsisu-ioc-java)
    - New dependency on libeclipse-aether-java (replaces libaether-java)
    - New dependency on libslf4j-java
    - Updated the Maven version in the rules of debian/maven.buildRules
    - New build dependencies on liblogback-java, libmockito-java
      and libsisu-maven-plugin-java
    - No longer add the plexus-container-default dependency
      to maven-model-builder
    - Install the new logging directory in the conf directory
    - Install the guice dependencies (aopalliance and javax.inject)
      in the /usr/share/maven/lib/ directory
    - Install wagon-http-shared and its dependencies in /usr/share/maven/lib/
    - Build depend on junit4 instead of junit
    - Build depend on modello 1.8 instead of 1.4
    - Build and install the new maven-builder-support module
    - Added a Maven rule to keep using the old sisu-maven-plugin
      under the org.sonatype.plugins group currently in Debian
  * Moved the libraries to a separate libmaven3-core-java package
  * Removed the unused dependencies on commons-codec, commons-httpclient
    and commons-logging
  * Added a patch to run Maven in offline mode during the build
  * Updated maven-install-plugin version from 2.4 to 2.5.2
  * Updated maven-dependency-plugin version from 2.4 to 2.7
  * No longer build the apache-maven module

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 09 Jul 2015 14:57:53 +0200

maven (3.0.5-6) unstable; urgency=medium

  * Team upload.
  * Updated maven-surefire-plugin version from 2.10 to 2.17

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 22 Jun 2015 12:44:53 +0200

maven (3.0.5-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 23 May 2015 12:12:55 -0300

maven (3.0.5-4) experimental; urgency=medium

  * Team upload.
  * Refresh patch plugins_version.diff:
    - Bump maven-compiler-plugin version to be used with Maven 3, from
      2.5.1 to 3.2.
    - Update maven-antrun-plugin and maven-dependency-plugin versions to
      match current Debian versions.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 08 Mar 2015 19:25:12 -0300

maven (3.0.5-3) unstable; urgency=high

  * Team upload.
  * Use a secure connection by default to download artifacts
    from the Maven Central repository (Closes: #779331)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 27 Feb 2015 17:56:07 +0100

maven (3.0.5-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Standards-Version updated to 3.9.6 (no changes)
  * Update Vcs-Browser and Homepage fields.

  [ tony mancill ]
  * Apply patch from Bas Couwenberg to bump plugin versions to 
    match version in Debian.  (Closes: #770608)

 -- tony mancill <tmancill@debian.org>  Sat, 20 Dec 2014 08:52:09 -0800
