=== debian/control ===
Source: maven
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends-Indep: ant-optional,
                     junit4,
                     libeclipse-aether-java (>= 1.0),
                     libcommons-jxpath-java,
                     libcommons-logging-java,
                     libeasymock-java,
                     liblogback-java,
                     libmaven-ant-tasks-java (>= 2.1.3-2),
                     libmaven-clean-plugin-java (>= 2.5),
                     libmaven-compiler-plugin-java (>= 3.2),
                     libmaven-install-plugin-java,
                     libmaven-jar-plugin-java,
                     libmaven-parent-java,
                     libmaven-resources-plugin-java,
                     libmockito-java,
                     libmodello-maven-plugin-java (>= 1.8),
                     libplexus-classworlds2-java (>= 2.4),
                     libplexus-containers1.5-java (>= 1.5.5-2),
                     libplexus-utils2-java (>= 3.0.15),
                     libsisu-guice-java (>= 3.2.4),
                     libsisu-maven-plugin-java,
                     libsisu-plexus-java (>= 0.3.0),
                     libslf4j-java,
                     libsurefire-java (>= 2.17),
                     libwagon2-java (>= 2.2-2),
                     libxmlunit-java,
                     maven-ant-helper,
                     maven-repo-helper
Build-Depends: ant, cdbs, debhelper (>= 9), default-jdk
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/maven.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/maven.git
Homepage: http://maven.apache.org

Package: maven
Architecture: all
Depends: default-jre (>= 2:1.7) | default-jre-headless (>= 2:1.7) | java7-runtime | java7-runtime-headless,
         libmaven3-core-java (= ${source:Version}),
         ${misc:Depends}
Replaces: maven2 (<< 2.2.1-11)
Breaks: maven2 (<< 2.2.1-11)
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features

Package: libmaven3-core-java
Architecture: all
Depends: libeclipse-aether-java (>= 1.0),
         libcommons-cli-java,
         libguava-java,
         libplexus-cipher-java,
         libplexus-classworlds2-java (>= 2.4),
         libplexus-containers1.5-java,
         libplexus-interpolation-java,
         libplexus-sec-dispatcher-java,
         libplexus-utils2-java,
         libsisu-guice-java,
         libsisu-plexus-java (>= 0.3.0),
         libslf4j-java,
         libwagon2-java (>= 2.2-2),
         ${misc:Depends}
Replaces: maven (<< 3.0.5-7)
Breaks: maven (<< 3.0.5-7)
Description: Core libraries for Maven 3
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
 .
 This package contains the core libraries for Maven 3.
