## maven 3.3.9

=== debian/changelog ===
maven (3.3.9-3) unstable; urgency=medium

  * Team upload.
  * Raised the priority for the /usr/bin/mvn alternative over Maven 2
    (Closes: #740955)
  * Declare that Maven 3.3.9 breaks gradle (<< 2.7-4) (Closes: #805985)
  * Updated the versions of the plugins in the super pom:
    - maven-dependency-plugin: 2.7 -> 2.8 (Closes: #807437)
    - maven-ear-plugin: 2.3.2 -> 2.8
    - maven-ejb-plugin: 2.2 -> 2.3
    - maven-resources-plugin: 2.3 -> 2.6
    - maven-war-plugin: 2.1.1 -> 2.2

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 09 Dec 2015 18:12:19 +0100

maven (3.3.9-2) unstable; urgency=medium

  * Team upload.
  * Updated the versions of the plugins in the super pom:
    - maven-antrun-plugin: 1.3 -> 1.7
    - maven-assembly-plugin: 2.2-beta-5 -> 2.4.1
    - maven-dependency-plugin: 2.8 -> 2.7
  * Removed the unnecessary dependencies on default-jre and java7-runtime

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 27 Nov 2015 11:58:32 +0100

maven (3.3.9-1) unstable; urgency=medium

  * Team upload.
  *  New upstream release
    - Refreshed the patches
    - New dependency on libcommons-lang3-java
    - Depend on guice instead of sisu-guice
    - Depend on plexus-containers >= 1.6
    - Ignore maven-enforcer-plugin
    - Updated the Maven version in the rules of debian/maven.buildRules
  * Ensure the maven-ant-task doesn't attempt to download from the Internet

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 Nov 2015 19:34:44 +0100

maven (3.3.3-4) unstable; urgency=medium

  * Team upload.
  * Added the missing /usr/share/java/maven-builder-support-3.x.jar link
  * Fixed the pom patching logic and made the package buildable twice in a row
    (Closes: #792146)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Oct 2015 10:33:25 +0100
