=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Damien Raude-Morvan <drazzib@debian.org>
+Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Emmanuel Bourg <ebourg@apache.org>
 Build-Depends-Indep: ant-optional,
                      junit4,
                      libeclipse-aether-java (>= 1.0),
                      libcommons-jxpath-java,
+                     libcommons-lang3-java,
                      libcommons-logging-java,
                      libeasymock-java,
+                     libguice-java (>= 4.0),
                      liblogback-java,
                      libmaven-ant-tasks-java (>= 2.1.3-2),
                      libmaven-clean-plugin-java (>= 2.5),
@@ -16,13 +18,12 @@
                      libmaven-install-plugin-java,
                      libmaven-jar-plugin-java,
                      libmaven-parent-java,
-                     libmaven-resources-plugin-java,
+                     libmaven-resources-plugin-java (>= 2.6),
                      libmockito-java,
                      libmodello-maven-plugin-java (>= 1.8),
                      libplexus-classworlds2-java (>= 2.4),
-                     libplexus-containers1.5-java (>= 1.5.5-2),
+                     libplexus-containers1.5-java (>= 1.6),
                      libplexus-utils2-java (>= 3.0.15),
-                     libsisu-guice-java (>= 3.2.4),
                      libsisu-maven-plugin-java,
                      libsisu-plexus-java (>= 0.3.0),
                      libslf4j-java,
@@ -39,7 +40,7 @@
 
 Package: maven
 Architecture: all
-Depends: default-jre (>= 2:1.7) | default-jre-headless (>= 2:1.7) | java7-runtime | java7-runtime-headless,
+Depends: default-jre-headless (>= 2:1.7) | java7-runtime-headless,
          libmaven3-core-java (= ${source:Version}),
          ${misc:Depends}
 Replaces: maven2 (<< 2.2.1-11)
@@ -64,20 +65,21 @@
 Architecture: all
 Depends: libeclipse-aether-java (>= 1.0),
          libcommons-cli-java,
+         libcommons-lang3-java,
          libguava-java,
+         libguice-java (>= 4.0),
          libplexus-cipher-java,
          libplexus-classworlds2-java (>= 2.4),
-         libplexus-containers1.5-java,
+         libplexus-containers1.5-java (>= 1.6),
          libplexus-interpolation-java,
          libplexus-sec-dispatcher-java,
          libplexus-utils2-java,
-         libsisu-guice-java,
          libsisu-plexus-java (>= 0.3.0),
          libslf4j-java,
          libwagon2-java (>= 2.2-2),
          ${misc:Depends}
 Replaces: maven (<< 3.0.5-7)
-Breaks: maven (<< 3.0.5-7)
+Breaks: maven (<< 3.0.5-7), gradle (<< 2.7-4)
 Description: Core libraries for Maven 3
  Maven is a software project management and comprehension tool. Based on the
  concept of a project object model (POM), Maven can manage a project's build,
