=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	-uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
 
 configure/$(PACKAGE)::
+	mh_unpatchpoms -plibmaven3-core-java
 	mh_patchpoms -plibmaven3-core-java --rules=debian/maven.buildRules
 
 makebuilddir/$(PACKAGE)::
