=== debian/watch ===
version=3
opts=uversionmangle=s/-(RC|alpha|beta)/~$1/ \
https://github.com/apache/maven/releases .*/maven-(.*).tar.gz debian debian/orig-tar.sh
