## maven 3.5.0

=== debian/changelog ===
maven (3.5.0-5) unstable; urgency=medium

  * Team upload.
  * Fixed the link to the JSR 330 Dependency Injection API
  * Standards-Version updated to 4.0.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 05 Jul 2017 13:11:15 +0200

maven (3.5.0-4) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure with the latest version of Qdox (Closes: #866767)
  * Updated the maven-compiler-plugin version in the default bindings
    (3.2 -> 3.6.1)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Jul 2017 17:50:34 +0200

maven (3.5.0-3) unstable; urgency=medium

  * Team upload.
  * Updated the maven-antrun-plugin version in the super pom (1.7 -> 1.8)
  * Updated the Maven rule for sisu-maven-plugin

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 01 Jul 2017 11:58:27 +0200

maven (3.5.0-2) unstable; urgency=medium

  * Team upload.
  * Updated the maven-plugin-plugin version in the default bindings (3.3 -> 3.5)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Jun 2017 15:16:16 +0200

maven (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Jun 2017 17:44:47 +0200

maven (3.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Replaced maven-aether-provider with maven-resolver-provider
    - Build and install the new maven-slf4j-provider module
    - Updated the man pages
    - No longer install commons-lang, jsoup and wagon-http-shared
      in /usr/share/maven/lib/
    - Depend on libcommons-cli-java (>= 1.4)
    - Depend on libplexus-interpolation-java (>= 1.24)
    - Depend on libplexus-utils2-java (>= 3.0.24)
    - Depend on libwagon2-java (>= 2.12)
    - Depend on libsisu-plexus-java (>= 0.3.3)
    - Build depend on libplexus-component-metadata-java (>= 1.7)
    - Build depend on libmodello-maven-plugin-java (>= 1.9.1)
  * Build with the DH sequencer instead of CDBS
  * Build with maven-debian-helper instead of Ant
  * Switch to debhelper level 10
  * No longer use debian/orig-tar.sh to download the upstream tarball
  * Removed the Maven rule for commons-lang3 (no longer use the 3.x artifact)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 23 May 2017 23:49:38 +0200

maven (3.3.9-4) unstable; urgency=medium

  * Team upload.
  * Set the maven.build.timestamp variable to the date defined by the
    SOURCE_DATE_EPOCH environment variable to make the Maven builds reproducible
  * Build depend on libplexus-component-metadata-java (>= 1.6)
    instead of libplexus-containers1.5-java
  * libmaven3-core-java now depends on libplexus-component-annotations-java
    instead of libplexus-containers1.5-java
  * Removed add_dependencies.diff (no longer required)
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Apr 2016 15:47:16 +0200
