=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=maven

override_dh_install:
	dh_install

	# compress manpages
	find debian/maven/usr/share/maven/man -type f | xargs gzip -9v -n

get-orig-source:
	-uscan --download-current-version --force-download --rename
