## maven 3.5.2

=== debian/changelog ===
maven (3.5.2-2) unstable; urgency=medium

  * Team upload.
  * Ignore the no_aop classifier on the guice dependency to work around
    a dependency resolution issue with maven-debian-helper
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 23 Feb 2018 17:38:55 +0100

maven (3.5.2-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * Remove B-D on libplexus-classworlds2-java, it's not necessary anymore.

  [ Emmanuel Bourg ]
  * Use the 'debian' version of plexus-component-annotations
  * Removed the unused Maven rule for plexus-container-default

  [ Stephen Kitt ]
  * New upstream release.
  * Install NOTICE in the binary packages.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Feb 2018 23:21:17 +0100

maven (3.5.0-8) unstable; urgency=medium

  * Team upload.
  * Update /usr/share/maven/boot/plexus-classworlds-2.x.jar symlink.
    (Closes: #881433)
  * Add temporary B-D on libplexus-classworlds2-java to avoid a FTBFS
    caused by missing plexus-classworlds-2.x.jar symlink.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 11 Nov 2017 19:41:48 +0000

maven (3.5.0-7) unstable; urgency=medium

  * Team upload.
  * Install the mvnyjp script into /usr/share/maven/bin/
  * Depend on libwagon-*-java instead of libwagon2-java
  * Depend on libplexus-classworlds-java instead of libplexus-classworlds2-java
  * Specified that gradle (<< 3.2.1-3~) is broken by the current release
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 11 Nov 2017 00:43:13 +0100

maven (3.5.0-6) unstable; urgency=medium

  * Team upload.
  * Removed the patch changing the default version of the core plugins.
    This ensures that the maven package is on par with the upstream
    distribution. Plugin packages are now responsible for redirecting
    the default version used by Maven to the current one.
  * Depend on maven-parent 27 and removed modello-configuration.patch
  * Removed the unused dependency on libeclipse-aether-java
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 Sep 2017 08:51:54 +0200
