=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 10), default-jdk, maven-debian-helper
+Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper
 Build-Depends-Indep: junit4,
                      libcommons-cli-java (>= 1.4),
                      libcommons-jxpath-java,
                      libcommons-lang3-java (>= 3.4-2~),
                      libcommons-logging-java,
                      libeasymock-java,
+                     libgeronimo-annotation-1.3-spec-java,
                      libguice-java (>= 4.0),
                      liblogback-java,
-                     libmaven-parent-java,
+                     libmaven-parent-java (>= 27),
                      libmaven-resolver-java,
                      libmaven-shade-plugin-java,
                      libmaven-shared-utils-java (>= 3.1.0),
                      libmockito-java,
                      libmodello-maven-plugin-java (>= 1.9.1),
-                     libplexus-classworlds2-java (>= 2.4),
+                     libplexus-classworlds-java (>= 2.5.2),
+                     libplexus-component-annotations-java (>= 1.7.1-6~),
                      libplexus-component-metadata-java (>= 1.7),
                      libplexus-interpolation-java (>= 1.24),
                      libplexus-utils2-java (>= 3.0.24),
@@ -26,19 +28,22 @@
                      libsisu-plexus-java (>= 0.3.3),
                      libslf4j-java (>= 1.7.25),
                      libsurefire-java (>= 2.17),
-                     libwagon2-java (>= 2.12),
+                     libwagon-file-java,
+                     libwagon-http-java,
+                     libwagon-http-shaded-java,
+                     libwagon-provider-api-java,
                      libxmlunit-java
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/maven.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/maven.git
 Homepage: http://maven.apache.org
 
 Package: libmaven3-core-java
 Architecture: all
-Depends: ${misc:Depends}, ${maven:Depends}, libguice-java (>= 4.0), libeclipse-aether-java
+Depends: ${misc:Depends}, ${maven:Depends}
 Suggests: ${maven:OptionalDepends}
 Replaces: maven (<< 3.0.5-7)
-Breaks: maven (<< 3.0.5-7), gradle (<< 2.7-4)
+Breaks: maven (<< 3.0.5-7), gradle (<< 3.2.1-3~)
 Description: Core libraries for Maven 3
  Maven is a software project management and comprehension tool. Based on the
  concept of a project object model (POM), Maven can manage a project's build,
@@ -62,6 +67,8 @@
 Depends: default-jre-headless (>= 2:1.7) | java7-runtime-headless,
          libmaven3-core-java (= ${source:Version}),
          libjansi-java,
+         libwagon-file-java,
+         libwagon-http-shaded-java,
          ${misc:Depends}
 Replaces: maven2 (<< 2.2.1-11)
 Breaks: maven2 (<< 2.2.1-11)
