## maven 3.5.3

=== debian/changelog ===
maven (3.5.3-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Depend on libmaven-shared-utils-java (>= 3.2.1)
    - Depend on libmaven-parent-java (>= 31)
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

  [ Stephen Kitt ]
  * Remove Damien from the uploaders list; thanks for all the work over
    the years! (Closes: #889396.)
  * Add myself to the uploaders.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Jun 2018 23:40:08 +0200
