=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Emmanuel Bourg <ebourg@apache.org>
+Uploaders: Emmanuel Bourg <ebourg@apache.org>, Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper (>= 11), default-jdk, maven-debian-helper
 Build-Depends-Indep: junit4,
                      libcommons-cli-java (>= 1.4),
@@ -13,10 +13,10 @@
                      libgeronimo-annotation-1.3-spec-java,
                      libguice-java (>= 4.0),
                      liblogback-java,
-                     libmaven-parent-java (>= 27),
+                     libmaven-parent-java (>= 31-2~),
                      libmaven-resolver-java,
                      libmaven-shade-plugin-java,
-                     libmaven-shared-utils-java (>= 3.1.0),
+                     libmaven-shared-utils-java (>= 3.2.1),
                      libmockito-java,
                      libmodello-maven-plugin-java (>= 1.9.1),
                      libplexus-classworlds-java (>= 2.5.2),
@@ -33,9 +33,9 @@
                      libwagon-http-shaded-java,
                      libwagon-provider-api-java,
                      libxmlunit-java
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/maven.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/maven.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/java-team/maven.git
+Vcs-Browser: https://salsa.debian.org/java-team/maven
 Homepage: http://maven.apache.org
 
 Package: libmaven3-core-java
