## maven 3.5.4

=== debian/changelog ===
maven (3.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install the bash-completion script /usr/share/bash-completion/completions/
    instead of /etc/bash_completion.d/
  * Generate Java 8 compatible bytecode
  * Removed the qdox patch (fixed upstream)
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Oct 2018 11:15:23 +0200
