## maven 3.6.0

=== debian/changelog ===
maven (3.6.0-1~18.04.1ubuntu0.1~esm1) bionic-security; urgency=medium

  * SECURITY UPDATE: Insufficient Verification of Data Authenticity
    - debian/patches/CVE-2021-26291.patch: Block HTTP repositories by default.
    - CVE-2021-26291 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Aug 2022 17:02:39 +0530

maven (3.6.0-1~18.04.1) bionic; urgency=medium

  [ Matthias Klose ]
  * Backport for OpenJDK 11. LP: #1818647.

  [ Tiago Stürmer Daitx ]
  * debian/maven.maintscript: remove obsolete /etc/bash_completion.d/maven
    file. LP: #1824010.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 09 Apr 2019 21:35:11 +0000

maven (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Maven rules
  * Generate Java 7 compatible bytecode

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Nov 2018 10:15:50 +0100
