=== debian/control ===
Source: maven
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Emmanuel Bourg <ebourg@apache.org>,
 Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 junit4,
 libcommons-cli-java (>= 1.4),
 libcommons-jxpath-java,
 libcommons-lang3-java (>= 3.4-2~),
 libcommons-logging-java,
 libeasymock-java,
 libgeronimo-annotation-1.3-spec-java,
 libguice-java (>= 4.0),
 liblogback-java,
 libmaven-parent-java (>= 31-2~),
 libmaven-resolver-java,
 libmaven-shade-plugin-java,
 libmaven-shared-utils-java (>= 3.2.1),
 libmockito-java,
 libmodello-maven-plugin-java (>= 1.9.1),
 libplexus-classworlds-java (>= 2.5.2),
 libplexus-component-annotations-java (>= 1.7.1-6~),
 libplexus-component-metadata-java (>= 1.7),
 libplexus-interpolation-java (>= 1.24),
 libplexus-utils2-java (>= 3.0.24),
 libsisu-maven-plugin-java,
 libsisu-plexus-java (>= 0.3.3),
 libslf4j-java (>= 1.7.25),
 libsurefire-java (>= 2.17),
 libwagon-file-java,
 libwagon-http-java,
 libwagon-http-shaded-java,
 libwagon-provider-api-java,
 libxmlunit-java,
 maven-debian-helper
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/maven.git
Vcs-Browser: https://salsa.debian.org/java-team/maven
Homepage: http://maven.apache.org

Package: libmaven3-core-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Replaces: maven (<< 3.0.5-7)
Breaks: maven (<< 3.0.5-7), gradle (<< 3.2.1-3~)
Description: Core libraries for Maven 3
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
 .
 This package contains the core libraries for Maven 3.

Package: maven
Architecture: all
Depends:
 default-jre-headless (>= 2:1.7) | java7-runtime-headless,
 libjansi-java,
 libmaven3-core-java (= ${source:Version}),
 libwagon-file-java,
 libwagon-http-shaded-java,
 ${misc:Depends}
Replaces: maven2 (<< 2.2.1-11)
Breaks: maven2 (<< 2.2.1-11)
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
