## maven 3.6.1

=== debian/changelog ===
maven (3.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on libplexus-utils2-java (>= 3.2)
    - Depend on libmodello-maven-plugin-java (>= 1.10)
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 20 Jul 2019 10:37:07 +0200
